import { PageResult } from "./common";

// 复核校验
export interface ReviewTaskItemPage {
  index: number;
  uri: string;
}
export interface ReviewTaskListItem {
  id: number;
  name: string;
  studentCode: string;
  subjectCode: string;
  subjectName: string;
  examNumber: string;
  markStatus: boolean;
  breachCount: number;
  pages: ReviewTaskItemPage[];
}

export interface ReviewProgressResult {
  finishCount: number;
  todoCount: number;
}

export interface ReviewTaskSaveParams {
  id: number;
  result: boolean;
}

export type ReviewTaskHistoryResult = PageResult<ReviewTaskListItem>;

export interface ReviewWarningTaskExportParams {
  examId: number;
  subjectCode: string;
  type: "student" | "room";
}
